@use '@angular/material' as mat;

@include mat.core();

$game-list-primary: mat.define-palette(mat.$indigo-palette);
$game-list-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

$game-list-warn: mat.define-palette(mat.$red-palette);

$game-list-theme: mat.define-light-theme(
  (
    color: (
      primary: $game-list-primary,
      accent: $game-list-accent,
      warn: $game-list-warn,
    ),
  )
);

@include mat.all-component-themes($game-list-theme);
